> For the complete documentation index, see [llms.txt](https://developer.xyxyx.pro/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.xyxyx.pro/api-endpoints/deploy/deploy-contract-1x1.md).

# Deploy Contract 1x1

#### Endpoint

<mark style="color:green;">`POST`</mark> `/api/v1/ERC404/{network}/deploy-contract-1x1`

> This endpoint executes the deployment of an ERC-404 smart contract that issues 1x1 tokens.

{% hint style="info" %}
Check the [Networks](/getting-started/networks.md) section for replacing the `{network}` text in the Endpoint URL.
{% endhint %}

***

**Headers**

| Name          | Value                                                                                                                       |
| ------------- | --------------------------------------------------------------------------------------------------------------------------- |
| Content-Type  | `application/json`                                                                                                          |
| Authorization | [Xyxyx API Key](/getting-started/xyxyx-api-keys.md) or [XIN](https://docs.xyxyx.pro/protocol/xyxyx/xyxyx-issuer-nodes-xins) |

***

**Body**

<table><thead><tr><th width="239">Name</th><th width="258">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>name</code></td><td>string</td><td>Defines the token name</td></tr><tr><td><code>ticker</code></td><td>string</td><td>Defines the token ticker</td></tr><tr><td><code>decimals</code></td><td>integer</td><td>Defines the token decimals</td></tr><tr><td><code>supply</code></td><td>integer</td><td>Defines the token total supply</td></tr><tr><td><code>tokenText</code></td><td>string</td><td>The text content that is stamped in the token output</td></tr><tr><td><code>metadata</code></td><td>string</td><td>The text content that is inserted in the token metadata, stored within its SVG file</td></tr><tr><td><code>walletPrivateKey</code></td><td>string</td><td>Deployer private key for authorizing transaction</td></tr><tr><td><code>background</code></td><td>string (optional), defaults to <code>#000000</code></td><td>Hexadecimal color for the token output background</td></tr><tr><td><code>textColor</code></td><td>string (optional), defaults to <code>#FFFFFF</code></td><td>Hexadecimal color for the token output text</td></tr><tr><td><code>fontFamily</code></td><td>string (optional), defaults to <code>sans-serif</code></td><td>Font-family that is used in the token output text</td></tr><tr><td><code>borderRadius</code></td><td>integer (optional), defaults to <code>0</code></td><td>Border radius that is applied to the token output</td></tr><tr><td><code>showTrademark</code></td><td>boolean (optional), defaults to <code>false</code></td><td>Xyxyx trademark displayed on the token output bottom right corner</td></tr><tr><td><code>showDeployerAddress</code></td><td>boolean (optional), defaults to <code>false</code></td><td>Deployer address displayed on the token output bottom left corner</td></tr><tr><td><code>logo</code></td><td>string (SVG) (optional), defaults to null</td><td>1:1 SVG that is displayed on the top left corner of the token output</td></tr><tr><td><code>watermark</code></td><td>string (SVG) (optional), defaults to null</td><td>1:1 SVG that is displayed in the background of the token output (with 70% opacity)</td></tr><tr><td><code>transferTokenTo</code></td><td>string (address) (optional), defaults to null</td><td>Transfer first token from supply to the provided address</td></tr></tbody></table>

***

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "success": true,
  "status": "Contract deployed at address: {contractAddress}`",
  "hash": "1x111...",
  "deploymentAddress": "0x32a...",
  "adressUrl": "https://etherscan.io/address/{contractAddress}",
  "deployerAddress": "0x567...",
  "transferTxHash": "0x222...",
  "transferMessage": "1 token transferred to {transferFirstTokenTo}"
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "success": false,
  "status": "Failed to deploy contract: {error.message}"
}
```

{% endtab %}

{% tab title="401" %}

```json
{
  "success": false,
  "status": "The wallet does not own any valid Xyxyx API Key or XIN",
}
```

{% endtab %}

{% tab title="429" %}

```javascript
{
  "success": false,
  "status": "This wallet has already consumed its 24-hour request quota"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.xyxyx.pro/api-endpoints/deploy/deploy-contract-1x1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
